## org.eclipse.emf.compare.match.metamodel.impl
Class MatchFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.emf.compare.match.metamodel.impl.MatchFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, MatchFactory, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

    public class MatchFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements MatchFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.compare.match.metamodel.MatchFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`MatchFactoryImpl()` Creates an instance of the factory

Method Summary
`java.lang.String` `convertSideToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`java.lang.Object` `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Match2Elements` `createMatch2Elements()`
`Match3Elements` `createMatch3Elements()`
`MatchModel` `createMatchModel()`
`MatchResourceSet` `createMatchResourceSet()`
`Side` `createSideFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`UnmatchElement` `createUnmatchElement()`
`UnmatchModel` `createUnmatchModel()`
`MatchPackage` `getMatchPackage()`
`static MatchPackage` `getPackage()` Deprecated.
`static MatchFactory` `init()` Creates the default factory implementation

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### MatchFactoryImpl

    public MatchFactoryImpl()

  Creates an instance of the factory.

Method Detail

### getPackage

    @Deprecated
    public static MatchPackage getPackage()

  Deprecated.

### init

    public static MatchFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createMatch2Elements

    public Match2Elements createMatch2Elements()

  Specified by:
    `createMatch2Elements` in interface `MatchFactory`
  Returns:
    a new object of class 'Match2 Elements'.

### createMatch3Elements

    public Match3Elements createMatch3Elements()

  Specified by:
    `createMatch3Elements` in interface `MatchFactory`
  Returns:
    a new object of class 'Match3 Elements'.

### createUnmatchElement

    public UnmatchElement createUnmatchElement()

  Specified by:
    `createUnmatchElement` in interface `MatchFactory`
  Returns:
    a new object of class 'Unmatch Element'.

### createMatchResourceSet

    public MatchResourceSet createMatchResourceSet()

  Specified by:
    `createMatchResourceSet` in interface `MatchFactory`
  Returns:
    a new object of class 'Resource Set'.

### createSideFromString

    public Side createSideFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                     java.lang.String initialValue)

### convertSideToString

    public java.lang.String convertSideToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                java.lang.Object instanceValue)

### createMatchModel

    public MatchModel createMatchModel()

  Specified by:
    `createMatchModel` in interface `MatchFactory`
  Returns:
    a new object of class 'Model'.

### createUnmatchModel

    public UnmatchModel createUnmatchModel()

  Specified by:
    `createUnmatchModel` in interface `MatchFactory`
  Returns:
    a new object of class 'Unmatch Model'.

### getMatchPackage

    public MatchPackage getMatchPackage()

  Specified by:
    `getMatchPackage` in interface `MatchFactory`
  Returns:
    the package supported by this factory.

Copyright 2006 IBM Corporation and others. All Rights Reserved.